Child Address Get Quote
curl --request POST \
--url https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/withdraw/fiat/quote \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"accountIdentifier": "0023103996",
"amount": 0.5,
"assetId": "37079b6b-b74f-48e9-a394-9a5cbae88f12",
"currency": "NGN",
"institutionIdentifier": "SBICNGLA",
"providerId": "1c40879e-c340-4308-92d9-30bdb34b3b84"
}
'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/withdraw/fiat/quote"
payload = {
"accountIdentifier": "0023103996",
"amount": 0.5,
"assetId": "37079b6b-b74f-48e9-a394-9a5cbae88f12",
"currency": "NGN",
"institutionIdentifier": "SBICNGLA",
"providerId": "1c40879e-c340-4308-92d9-30bdb34b3b84"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountIdentifier: '0023103996',
amount: 0.5,
assetId: '37079b6b-b74f-48e9-a394-9a5cbae88f12',
currency: 'NGN',
institutionIdentifier: 'SBICNGLA',
providerId: '1c40879e-c340-4308-92d9-30bdb34b3b84'
})
};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/withdraw/fiat/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"estimatedArrivalTime": 30,
"nativeBalance": "0.001341843733953408",
"nativeBalanceInUSD": "0.0013413069964598266368",
"networkFee": "0.000012017210897804",
"networkFeeInUSD": "0.0000120124040134448784",
"transactionFee": "0"
},
"message": "Successful",
"status": true
}Child Address Get Quote
Child Address Get Quote
POST
/
v1
/
wallets
/
{walletId}
/
addresses
/
{addressId}
/
withdraw
/
fiat
/
quote
Child Address Get Quote
Authorizations
Path Parameters
Example:
"YOUR_WALLET_ID"
Example:
"0x73429037E2284FaC97F6D90Fa83840eD334c8A20"
Body
application/json
destination bank account identifier
Example:
"0023103996"
amount to withdraw in asset units
Example:
0.5
asset ID of the stablecoin to withdraw
Example:
"37079b6b-b74f-48e9-a394-9a5cbae88f12"
destination fiat currency code
Example:
"NGN"
bank or institution identifier code
Example:
"SBICNGLA"
Example:
"1c40879e-c340-4308-92d9-30bdb34b3b84"
⌘I

